<?php
include 'header.php';
require '../guzellikapp/Veritabani/services/ServiceInterfaceImp.php';
require __DIR__ . '/../guzellikapp/Veritabani/users/costumers/CostumerServiceImp.php';
$costumerService = new CostumerServiceImp();
$costumerId = $_GET["user_id"];
$costumerResponse = $costumerService->fetchCostumerInformation($costumerId);
$costumer = $costumerResponse["costumer"];
$service = new ServiceInterfaceImp();
$responseService = $service->webFetchAllServices();
$allService = $responseService["services"];
$saleService = new SalesServiceImp();
$activeServiceResponse = $saleService->servicesReceivedByTheCustomer($costumerId);
?>

<link href="../plugins/sweet-alert2/sweetalert2.css" rel="stylesheet" type="text/css">

<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="container-fluid">

            <div class="page-title-box">
                <div class="row align-items-center ">
                    <div class="col-md-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Randevu Oluştur</h4>
                            <?php
                                if($activeServiceResponse["success"] == 1){ ?>
                                    <div class="alert alert-warning" role="alert">
                                        <strong>Dikkat!</strong> Müşteriye ait aktif hizmet bilgisi bulunmaktadır
                                    </div>
                                <?php
                                }
                            ?>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item">
                                    <a href="costumers.php">Müşteriler</a>
                                </li>
                                <li class="breadcrumb-item">
                                    <a href="javascript:void(0);">Randevu Oluştur</a>
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end page-title -->

            <div class="row">
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <ul class="nav nav-pills nav-justified" role="tablist">
                                <li class="nav-item waves-effect waves-light">
                                    <a class="nav-link active" data-toggle="tab" href="#singleAppointment-1" role="tab">
                                        <span class="d-none d-md-block">TEKLİ RANDEVU</span><span class="d-block d-md-none"><i class="mdi mdi-home-variant h5"></i></span>
                                    </a>
                                </li>
                                <li class="nav-item waves-effect waves-light">
                                    <a class="nav-link" data-toggle="tab" href="#seansAppointment-1" role="tab">
                                        <span class="d-none d-md-block">SEANS RANDEVUSU DÜZENLE</span><span class="d-block d-md-none"><i class="mdi mdi-account h5"></i></span>
                                    </a>
                                </li>
                            </ul>

                            <div class="tab-content">

                                <div class="tab-pane active p-3" id="singleAppointment-1" role="tabpanel">
                                    <div class="card">
                                        <div class="card-body">
                                            <h4 class="mt-0 mb-4 header-title">Randevu Bilgileri</h4>

                                            <form id="oneAppointment">

                                                <input type="hidden" name="user_id" value="<?php echo $costumerId ?>" />

                                                <div class="form-group row">
                                                    <label for="costumerTc" class="col-sm-2 col-form-label">Müşteri TC</label>
                                                    <div class="col-sm-10">
                                                        <input type="text" disabled value="<?php echo $costumer->kullanici_tc;?>" class="form-control" id="costumerTc" name="costumerTc" />
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="costumerNameSurname" class="col-sm-2 col-form-label">Müşteri Ad Soyad</label>
                                                    <div class="col-sm-10">
                                                        <input type="text" disabled value="<?php echo $costumer->ad . " " .  $costumer->soyad; ?>" class="form-control" id="costumerNameSurname" name="costumerNameSurname" />
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                        <label for="form-datepicker" class="col-sm-2 col-form-label">Randevu Tarih</label>
                                                        <div class="col-sm-10">
                                                            <input class="form-control" type="date" placeholder="dd.mm.YYYY" value="<?php echo date('d.m.Y');?>" name="appointment_date" id="example-date-input">
                                                        </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label class="col-sm-2 col-form-label" id="sa-success">Hizmet</label>
                                                    <div class="col-sm-10">
                                                        <select class="custom-select" name="service_id" id="service_id">
                                                            <?php
                                                            foreach($allService as $service){?>
                                                                <option value="<?php echo $service["service_id"]; ?>"><?php echo $service["service_name"]; ?></option>
                                                                <?php
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label class="col-sm-2 col-form-label" id="sa-success">Randevu Saati</label>
                                                    <div class="col-sm-10">
                                                        <input id="appt-time" class="form-control" required type="time" name="appointment_time" value="10:30">
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="appointment_details" class="col-sm-2 col-form-label" id="sa-success">Randevu Açıklama</label>
                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" id="appointment_details" name="appointment_details" />
                                                    </div>
                                                </div>

                                                <div class="form-group mb-0">
                                                    <div>
                                                        <button type="submit" class="btn btn-success waves-effect waves-light float-right">Randevu Oluştur</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane p-3" id="seansAppointment-1" role="tabpanel">
                                    <div class="card">
                                        <div class="card-body">
                                            <h4 class="mt-0 mb-4 header-title">Randevu Bilgileri</h4>

                                            <form id="seansAppointment">

                                                <input type="hidden" name="user_id" value="<?php echo $costumerId ?>" />

                                                <div class="form-group row">
                                                    <label for="costumerTc" class="col-sm-2 col-form-label">Müşteri TC</label>
                                                    <div class="col-sm-10">
                                                        <input type="text" disabled value="<?php echo $costumer->kullanici_tc;?>" class="form-control" id="costumerTc" name="costumerTc" />
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="costumerNameSurname" class="col-sm-2 col-form-label">Müşteri Ad Soyad</label>
                                                    <div class="col-sm-10">
                                                        <input type="text" disabled value="<?php echo $costumer->ad . " " .  $costumer->soyad; ?>" class="form-control" id="costumerNameSurname" name="costumerNameSurname" />
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="form-datepicker" class="col-sm-2 col-form-label">Randevu Tarih</label>
                                                    <div class="col-sm-10">
                                                        <input class="form-control" type="date" placeholder="dd.mm.YYYY" value="<?php echo date('d.m.Y');?>" name="appointment_date" id="example-date-input">
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label class="col-sm-2 col-form-label" id="sa-success">Hizmet</label>
                                                    <div class="col-sm-10">
                                                        <select class="custom-select" name="service_id" id="service_id">
                                                            <?php
                                                            foreach($allService as $service){?>
                                                                <option value="<?php echo $service["service_id"]; ?>"><?php echo $service["service_name"]; ?></option>
                                                                <?php
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label class="col-sm-2 col-form-label" id="sa-success">Randevu Saati</label>
                                                    <div class="col-sm-10">
                                                        <input id="appt-time" class="form-control" required type="time" name="appointment_time" value="10:30">
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label class="col-sm-2 col-form-label" id="sa-success">Seans Sayısı</label>
                                                    <div class="col-sm-10">
                                                        <input id="appt-time" class="form-control" required type="number" name="seansNumber" >
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="appointment_details" class="col-sm-2 col-form-label" id="sa-success">Randevu Açıklama</label>
                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" id="appointment_details" name="appointment_details" />
                                                    </div>
                                                </div>

                                                <div class="form-group mb-0">
                                                    <div>
                                                        <button type="submit" class="btn btn-success waves-effect waves-light float-right">Randevu Oluştur</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>






<?php include "footer.php" ?>
<!-- Parsley js -->
<script src="../plugins/parsleyjs/parsley.min.js"></script>
<script src="../plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
<script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
<script src="../plugins/bootstrap-maxlength/bootstrap-maxlength.min.js"></script>
<script src="../plugins/bootstrap-touchspin/js/jquery.bootstrap-touchspin.min.js"></script>
<!-- Plugins Init js -->
<script src="assets/pages/form-advanced.init.js"></script>
<script src="../plugins/bootstrap-inputmask/bootstrap-inputmask.min.js"></script>
<!-- Sweet-Alert  -->
<script src="../plugins/sweet-alert2/sweetalert2.min.js"></script>
<script>
    $(document).ready(function() {
        $('form').parsley();
    });
    jQuery.browser = {};
    (function() {
        jQuery.browser.msie = false;
        jQuery.browser.version = 0;
        if (navigator.userAgent.match(/MSIE ([0-9]+)\./)) {
            jQuery.browser.msie = true;
            jQuery.browser.version = RegExp.$1;
        }
    })();
    !function ($) {
        "use strict";

        var SweetAlert = function () {
        }

        $(function () {
            $('#oneAppointment').on('submit', function (e) {
                e.preventDefault();
                $.ajax({
                    type: 'post',
                    url: 'web_database/addAppointment.php',
                    data: $('#oneAppointment').serialize(),
                    success: function (response) {
                        var jsonResponse = JSON.parse(response);

                        if(jsonResponse.success == 1){
                            swal({
                                title: 'BAŞARILI!',
                                text: jsonResponse.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success'
                            }).then(function () {
                                window.location.href="appointments.php";
                            })
                        }else{
                            swal({
                                title: 'Randevu Ekleme Hatası',
                                text: jsonResponse.message,
                                type: 'warning',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success',
                            });
                        }
                    }
                });

            });


            $('#seansAppointment').on('submit', function (e) {
                e.preventDefault();
                $.ajax({
                    type: 'post',
                    url: 'web_database/addSeansAppointment.php',
                    data: $('#seansAppointment').serialize(),
                    success: function (response) {
                        var jsonResponse = JSON.parse(response);

                        if(jsonResponse.success == 1){
                            swal({
                                title: 'BAŞARILI!',
                                text: jsonResponse.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success'
                            }).then(function () {
                                window.location.href="appointments.php";
                            })
                        }else{
                            swal({
                                title: 'Randevu Ekleme Hatası',
                                text: jsonResponse.message,
                                type: 'warning',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success',
                            });
                        }
                    }
                });

            });


        });

        //examples
        SweetAlert.prototype.init = function () {


        },
            $.SweetAlert = new SweetAlert, $.SweetAlert.Constructor = SweetAlert;
    }(window.jQuery),

//initializing
        function ($) {
            "use strict";
            $.SweetAlert.init()
        }(window.jQuery);
</script>