<?php
include "header.php";
require'../guzellikapp/Veritabani/appointments/AppointmentsServiceImp.php';
$costumerId = $_GET["user_id"];
$service = new AppointmentsServiceImp();
$appointmentResponse = $service->webFetchAppointmentsById($costumerId);
$pastAppointment     = $appointmentResponse["appointments"];
?>


<!-- DataTables -->
<link href="../plugins/datatables/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css" />
<link href="../plugins/datatables/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />

<!-- Responsive datatable examples -->
<link href="../plugins/datatables/responsive.bootstrap4.min.css" rel="stylesheet" type="text/css" />
<link href="../plugins/sweet-alert2/sweetalert2.css" rel="stylesheet" type="text/css">


<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="page-title-box">
                <div class="row align-items-center ">
                    <div class="col-md-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Randevular</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12" >
                <div class="card">
                    <div class="card-body">
                        <h4 class="mt-0 mb-2 header-title">Randevular</h4>
                        <table id="upComingAppointment" class="table table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <th scope="col">İşlemler</th>
                                <th scope="col">Müşteri Tc</th>
                                <th scope="col">Ad Soyad</th>
                                <th scope="col">Hizmet Adı</th>
                                <th scope="col">Randevu Detay</th>
                                <th scope="col">Randevu Tarih</th>
                                <th scope="col">Randevu Saat</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            if($appointmentResponse["success"] == 1){
                                foreach($pastAppointment as $appointment){
                                    $status = $appointment["status_id"];
                                    $style = "";
                                    if ($status == 2)
                                        $style = "background:#20d4b6;color:#fff;";
                                    else if($status == 3)
                                        $style = "background:#fb4365;color:#fff";
                                    ?>
                                    <tr style="<?php echo $style ?>">
                                        <td>
                                            <?php
                                            if($status == 3){ ?>
                                                <span class="badge badge-success  p-2 m-1" onclick="javascript:come(this.id,<?php echo $costumerId?>)" style="cursor:pointer !important;" id="<?php echo $appointment["appointment_id"] ?>">GELDİ</span>
                                            <?php }else if($status == 2){ ?>
                                                <span class="badge badge-danger  p-2 m-1" onclick="javascript:notCome(this.id,<?php echo $costumerId ?>)" style="cursor:pointer !important;" id="<?php echo $appointment["appointment_id"] ?>">GELMEDİ</span>
                                            <?php }else{ ?>
                                                <span class="badge badge-success  p-2 m-1" onclick="javascript:come(this.id)" style="cursor:pointer !important;" id="<?php echo $appointment["appointment_id"] ?>">GELDİ</span>
                                                <span class="badge badge-danger  p-2 m-1" onclick="javascript:notCome(this.id)" style="cursor:pointer !important;" id="<?php echo $appointment["appointment_id"] ?>">GELMEDİ</span>
                                            <?php }
                                            $appointmentDate = strtotime($appointment["appointment_date"]);
                                            $nowDate = strtotime(date("Y-m-d"));
                                            if($appointmentDate >= $nowDate){ ?>
                                                <span class="badge badge-warning  p-2 m-1" onclick="javascript:deleteAppointment(this.id,<?php echo $costumerId ?>)" style="cursor:pointer !important;" id="<?php echo $appointment["appointment_id"] ?>">İPTAL ET</span>
                                                <?php
                                            }
                                            ?>
                                        </td>
                                        <td><?php echo $appointment["costumer"]["user_tc"] ?></td>
                                        <td><?php echo $appointment["costumer"]["name"] . " " . $appointment["costumer"]["surname"] ?></td>
                                        <td><?php echo $appointment["service"]["service_name"] ?></td>
                                        <td><?php echo $appointment["appointment_detail"] ?></td>
                                        <td><?php echo date("d.m.Y", strtotime($appointment["appointment_date"])) ?></td>
                                        <td><?php echo $appointment["appointment_time"] ?></td>
                                    </tr>
                                    <?php
                                }
                            }
                            ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <?php include 'footer.php' ?>

    <script src="../plugins/apexchart/apexcharts.min.js"></script>
    <script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

    <script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

    <!-- Required datatable js -->
    <script src="../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../plugins/datatables/dataTables.bootstrap4.min.js"></script>
    <!-- Responsive examples -->
    <script src="../plugins/datatables/dataTables.responsive.min.js"></script>
    <script src="../plugins/datatables/responsive.bootstrap4.min.js"></script>

    <!-- Datatable init js -->
    <script src="assets/pages/datatables.init.js"></script>
    <script src="../plugins/alertify/js/alertify.js"></script>
    <script src="../plugins/sweet-alert2/sweetalert2.min.js"></script>

    <script type="text/javascript">
        function come(appointmentId,user_id){
            $.ajax({
                url: 'web_database/confirmAppointment.php',
                type: 'post',
                data: {appointment_id:appointmentId,},
                success: function(response){
                    var jsonResponse = JSON.parse(response);

                    if(jsonResponse.success == 1){
                        swal({
                            title: 'BAŞARILI!',
                            text: jsonResponse.message,
                            type: 'success',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success'
                        }).then(function () {
                            window.location.href="costumerAppointment.php?user_id=" + user_id;
                        })
                    }else{
                        swal({
                            title: 'Güncelleme Hatası',
                            text: jsonResponse.message,
                            type: 'warning',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success',
                        });
                    }
                }
            });
        }

        function notCome(appointmentId, user_id){
            $.ajax({
                url: 'web_database/appointmentNotConfirmed.php',
                type: 'post',
                data: {appointment_id:appointmentId,},
                success: function(response){
                    var jsonResponse = JSON.parse(response);

                    if(jsonResponse.success == 1){
                        swal({
                            title: 'BAŞARILI!',
                            text: jsonResponse.message,
                            type: 'success',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success'
                        }).then(function () {
                            window.location.href="costumerAppointment.php?user_id=" + user_id;
                        })
                    }else{
                        swal({
                            title: 'Güncelleme Hatası',
                            text: jsonResponse.message,
                            type: 'warning',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success',
                        });
                    }
                }
            });
        }

        function deleteAppointment(appointment_id, user_id){
            $.ajax({
                url: 'web_database/deleteAppointment.php',
                type: 'post',
                data: {appointment_id:appointment_id,},
                success: function(response){
                    var jsonResponse = JSON.parse(response);

                    if(jsonResponse.success == 1){
                        swal({
                            title: 'BAŞARILI!',
                            text: jsonResponse.message,
                            type: 'success',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success'
                        }).then(function () {
                            window.location.href="costumerAppointment.php?user_id=" + user_id;
                        })
                    }else{
                        swal({
                            title: 'İptal Etme Hatası',
                            text: jsonResponse.message,
                            type: 'warning',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success',
                        });
                    }
                }
            });
        }

        $(document).ready(function(){
            $('#pastAppointment').DataTable();
            $('#upComingAppointment').DataTable();
        });
    </script>