<?php include 'header.php' ?>
<?php require_once(__DIR__ ."/../guzellikapp/Veritabani/installments/InstallmentServiceImp.php"); ?>

<!-- DataTables -->
<link href="../plugins/datatables/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css" />
<link href="../plugins/datatables/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />

<!-- Responsive datatable examples -->
<link href="../plugins/datatables/responsive.bootstrap4.min.css" rel="stylesheet" type="text/css" />
<link href="../plugins/sweet-alert2/sweetalert2.css" rel="stylesheet" type="text/css">


<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="page-title-box">
                <div class="row align-items-center ">
                    <div class="col-md-8">
                        <div class="page-title-box">
                            <h4 class="page-title">Geçmiş Taksitler</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <table id="costumerDatatable" class="table table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <th scope="col">Müşteri Tc</th>
                                <th scope="col">Ad Soyad</th>
                                <th scope="col">Taksit Tarihi</th>
                                <th scope="col">Kalan Taksit Ücreti</th>
                                <th scope="col">Taksit Durum</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            $service = new InstallmentServiceImp();
                            $response = $service->pastDueInstallments();
                            if($response["success"] == 1){
                                $allPastInstallment = $response["installments"];
                                foreach($allPastInstallment as $installment){?>
                                    <tr>
                                        <td><?php echo $installment->kullanici_tc ?></td>
                                        <td><?php echo $installment->ad . " " . $installment->soyad ?></td>
                                        <td><?php echo $installment->odenecek_tarih ?></td>
                                        <td><?php echo $installment->odenecek_ucret ?></td>
                                        <td>
                                            <span class="badge badge-danger font-12 p-2">
                                                <?php echo $installment->taksit_durum ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <?php
                                }
                            }
                            ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- end col -->
        </div>


    </div>

    <?php include 'footer.php' ?>

    <script src="../plugins/apexchart/apexcharts.min.js"></script>
    <script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

    <script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

    <!-- Required datatable js -->
    <script src="../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../plugins/datatables/dataTables.bootstrap4.min.js"></script>
    <!-- Responsive examples -->
    <script src="../plugins/datatables/dataTables.responsive.min.js"></script>
    <script src="../plugins/datatables/responsive.bootstrap4.min.js"></script>

    <!-- Datatable init js -->
    <script src="assets/pages/datatables.init.js"></script>
    <script src="../plugins/alertify/js/alertify.js"></script>
    <script src="../plugins/sweet-alert2/sweetalert2.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function(){
            $('#costumerDatatable').DataTable();

            $('.userDelete').click(function(){
                var el = this;
                var user_id = this.id;

                $.ajax({
                    url: 'web_database/deleteUser.php',
                    type: 'post',
                    data: {
                        user_id:user_id,},
                    success: function(response){
                        var jsonResponse = JSON.parse(response);

                        if(jsonResponse.success == 1){
                            swal({
                                title: 'BAŞARILI!',
                                text: jsonResponse.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success'
                            }).then(function () {
                                window.location.href="costumers.php";
                            })
                        }else{
                            swal({
                                title: 'Güncelleme Hatası',
                                text: jsonResponse.message,
                                type: 'warning',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success',
                            });
                        }
                    }
                });
            });

            $('.addEmployee').click(function(){
                var el = this;
                var user_id = this.id;

                $.ajax({
                    url: 'web_database/addEmployee.php',
                    type: 'post',
                    data: {
                        user_id:user_id,},
                    success: function(response){
                        var jsonResponse = JSON.parse(response);

                        if(jsonResponse.success == 1){
                            swal({
                                title: 'BAŞARILI!',
                                text: jsonResponse.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success'
                            }).then(function () {
                                window.location.href="costumers.php";
                            })
                        }else{
                            swal({
                                title: 'Çalışan Ekleme Hatası',
                                text: jsonResponse.message,
                                type: 'warning',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success',
                            });
                        }
                    }
                });
            });
        });
    </script>
