<?php
include "header.php";
require'../guzellikapp/Veritabani/appointments/AppointmentsServiceImp.php';

$service = new AppointmentsServiceImp();
$response = $service->fetchAppointments();
$appointments = $response["appointments"];
?>


<!-- DataTables -->
<link href="../plugins/datatables/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css" />
<link href="../plugins/datatables/buttons.bootstrap4.min.css" rel="stylesheet" type="text/css" />

<!-- Responsive datatable examples -->
<link href="../plugins/datatables/responsive.bootstrap4.min.css" rel="stylesheet" type="text/css" />
<link href="../plugins/sweet-alert2/sweetalert2.css" rel="stylesheet" type="text/css">


<div class="content-page">
    <div class="content">
        <div class="container-fluid">
            <div class="page-title-box">
                <div class="row align-items-center ">
                    <div class="col-md-8">
                        <div class="page-title-box">
                            <h4 class="page-title">Müşteriler</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="mt-0 mb-2 header-title">Randevular</h4>
                        <button type="button" class="btn btn-info waves-effect waves-light float-right">
                            <a href="addAppointmentRuler.php" class="text-white">
                                Randevu Cetveli Oluştur
                            </a>
                        </button>
                        <button type="button" class="btn btn-warning waves-effect waves-light float-right mr-3">
                            <a href="deleteAppointmentRuler.php" class="text-white">
                                Randevu Cetveli Düzenle
                            </a>
                        </button>
                        <table id="costumerDatatable" class="table table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                            <tr>
                                <th scope="col">İşlemler</th>
                                <th scope="col">Müşteri Tc</th>
                                <th scope="col">Ad Soyad</th>
                                <th scope="col">Hizmet Adı</th>
                                <th scope="col">Randevu Tarih</th>
                                <th scope="col">Randevu Saat</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            if($response["success"] == 1){
                                foreach($appointments as $appointment){ ?>
                                    <tr>
                                        <td>
                                        <span class="badge badge-warning p-2 m-1 userUpdate" style="cursor:pointer !important;">
                                            <a class="text-white" href="?appointment_id=<?php echo $appointment["appointment_id"]; ?>">BİLDİRİM GÖNDER</a>
                                        </span>
                                            <span class="badge badge-danger  p-2 m-1 userDelete" style="cursor:pointer !important;" id="<?php echo $appointment["appointment_id"] ?>">İPTAL ET</span>
                                        </td>
                                        <td><?php echo $appointment["costumer"]["user_tc"] ?></td>
                                        <td><?php echo $appointment["costumer"]["name"] . " " . $appointment["costumer"]["surname"] ?></td>
                                        <td><?php echo $appointment["service"]["service_name"] ?></td>
                                        <td><?php echo $appointment["appointment_date"] ?></td>
                                        <td><?php echo $appointment["appointment_time"] ?></td>
                                    </tr>
                                    <?php
                                }
                            }
                            ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- end col -->
        </div>


    </div>

    <?php include 'footer.php' ?>

    <script src="../plugins/apexchart/apexcharts.min.js"></script>
    <script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

    <script src="../plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>

    <!-- Required datatable js -->
    <script src="../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../plugins/datatables/dataTables.bootstrap4.min.js"></script>
    <!-- Responsive examples -->
    <script src="../plugins/datatables/dataTables.responsive.min.js"></script>
    <script src="../plugins/datatables/responsive.bootstrap4.min.js"></script>

    <!-- Datatable init js -->
    <script src="assets/pages/datatables.init.js"></script>
    <script src="../plugins/alertify/js/alertify.js"></script>
    <script src="../plugins/sweet-alert2/sweetalert2.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function(){
            $('#costumerDatatable').DataTable();

            $('.userDelete').click(function(){
                var appointmentId = this.id;

                $.ajax({
                    url: 'web_database/deleteAppointment.php',
                    type: 'post',
                    data: {appointment_id:appointmentId,},
                    success: function(response){
                        var jsonResponse = JSON.parse(response);

                        if(jsonResponse.success == 1){
                            swal({
                                title: 'BAŞARILI!',
                                text: jsonResponse.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success'
                            }).then(function () {
                                window.location.href="appointments.php";
                            })
                        }else{
                            swal({
                                title: 'İptal Etme Hatası',
                                text: jsonResponse.message,
                                type: 'warning',
                                showCancelButton: false,
                                confirmButtonClass: 'btn btn-success',
                            });
                        }
                    }
                });
            });
        });
    </script>