!function ($) {
    "use strict";

    $( "#sales_id" ).change(function() {
        var sales_id = $(this).val();

        $.ajax({
            type: 'post',
            url: 'web_database/saleDetailsInformation.php',
            data: {sales_id : sales_id },
            success: function (response) {
                var jsonResponse = JSON.parse(response);
                var paySubmit = document.getElementById('paySubmit');

                if(jsonResponse.success == 1){
                    var installmentSelect = document.getElementById('installment');
                    installmentSelect.innerHTML = "";

                    var allInstallment = jsonResponse.installments;

                    allInstallment.forEach(function (installment){
                        var opt = document.createElement('option');
                        opt.value     = installment.installment_id;
                        opt.innerHTML = installment.installment_payable + ".Taksit";
                        installmentSelect.appendChild(opt);
                    });

                    paySubmit.disabled = false;
                    paySubmit.style.cursor = "";
                    paySubmit.style.background = "";

                    document.getElementById('fee_payable').value = allInstallment[0].fee_payable;
                    document.getElementById('fee_payable2').value = allInstallment[0].fee_payable;
                    document.getElementById('due_date').value    = allInstallment[0].due_date;
                }else if(jsonResponse.success == 2){
                    var installmentSelect = document.getElementById('installment');
                    installmentSelect.innerHTML = "";
                    var opt = document.createElement('option');
                    opt.value     = 0;
                    opt.innerHTML = "Taksit Bilgisi Bulunamadı";
                    opt.selected  = true;
                    installmentSelect.appendChild(opt);
                    document.getElementById('fee_payable').value = 0;
                    document.getElementById('fee_payable2').value = 0;
                    document.getElementById('due_date').value    = "19.01.2022";
                    paySubmit.disabled = true;
                    paySubmit.style.cursor = "default";
                    paySubmit.style.background = "#ededed";
                }

            }
        });
    });

    $("#installment").change(function () {
        var installment_id = $(this).val();

        $.ajax({
            type: 'post',
            url: 'web_database/installmentInformation.php',
            data: {installment_id : installment_id},
            success: function (response) {
                var jsonResponse = JSON.parse(response);
                var paySubmit = document.getElementById('paySubmit');

                if(jsonResponse.success == 1){
                    document.getElementById('fee_payable').value = (jsonResponse.installment.odenecek_ucret - jsonResponse.installment.odenen_ucret);
                    document.getElementById('fee_payable2').value = (jsonResponse.installment.odenecek_ucret - jsonResponse.installment.odenen_ucret);
                    document.getElementById('due_date').value    = jsonResponse.installment.odenecek_tarih;

                    paySubmit.disabled = false;
                    paySubmit.style.cursor = "";
                    paySubmit.style.background = "";
                }else{
                    document.getElementById('fee_payable').value = "Taksit bilgisine ulaşılamadı";
                    document.getElementById('fee_payable2').value = "Taksit bilgisine ulaşılamadı";
                    document.getElementById('due_date').value    = "19.01.2022";
                    paySubmit.disabled = true;
                    paySubmit.style.cursor = "default";
                    paySubmit.style.background = "#ededed";
                }

            }
        });

    });

    var SweetAlert = function () {
    };

    $(function () {

        $('form').on('submit', function (e) {
            e.preventDefault();
            $.ajax({
                type: 'post',
                url: 'web_database/payInstallment.php',
                data: $('form').serialize(),
                success: function (response) {
                    var jsonResponse = JSON.parse(response);

                    if(jsonResponse.success == 1){
                        swal({
                            title: 'BAŞARILI!',
                            text: jsonResponse.message,
                            type: 'success',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success'
                        }).then(function () {
                            var user_id = document.getElementById('user_id').value;
                            window.location.href="userServices.php?user_id=" + user_id;
                        })
                    }else{
                        swal({
                            title: 'Taksit Ödeme Hatası',
                            text: jsonResponse.message,
                            type: 'warning',
                            showCancelButton: false,
                            confirmButtonClass: 'btn btn-success',
                        });
                    }

                }
            });

        });

    });

    //examples
    SweetAlert.prototype.init = function () {


    },
        $.SweetAlert = new SweetAlert, $.SweetAlert.Constructor = SweetAlert;
}(window.jQuery),

//initializing
    function ($) {
        "use strict";
        $.SweetAlert.init()
    }(window.jQuery);