<?php 


class InstallmentTransactions {
    
    public function calculateInstallment($fee, $installmentAmount){
        $remainingFee      = $fee % $installmentAmount;
        $feeToBeCalculated = $fee - $remainingFee;
        $installmentFee    = $feeToBeCalculated / $installmentAmount;

        $firstInstallmentFee = $installmentFee + $remainingFee;

        $installmentInformation = array();
        $installmentInformation["installment"]      = $installmentFee;
        $installmentInformation["firstInstallment"] = $firstInstallmentFee;

        return $installmentInformation;
    }

    public function prepareInstallmentDate($date){

        $dateList = [0 => $date];
        for( $i=1; $i<=12; $i++){
            $newDate = date('Y-m-d', strtotime('+'.$i.' months', strtotime($date) ) );
            $nextMonth = date('Y-m-d', strtotime('last day of next month', strtotime( end($dateList) )));
            if ( date('m', strtotime($newDate) ) != date('m', strtotime($nextMonth)) ){            
                $dateList[] = $nextMonth;
            } else {
                $dateList[] = $newDate;
            }
        }
        array_shift($dateList);
        return $dateList;
    }

    public function appointmentSeansDate($date){

        $dateList = [0 => $date];
        for( $i=1; $i<=12; $i++){
            $newDate = date('Y-m-d', strtotime('+'.$i.' months', strtotime($date) ) );
            $nextMonth = date('Y-m-d', strtotime('last day of next month', strtotime( end($dateList) )));
            if ( date('m', strtotime($newDate) ) != date('m', strtotime($nextMonth)) ){
                $dateList[] = $nextMonth;
            } else {
                $dateList[] = $newDate;
            }
        }
        return $dateList;
    }

}

?>